#$Id: ebits.spec,v 1.1 2003/04/22 18:53:48 dude Exp $

%define date 20030417

Summary: Layout library for graphical elements based on Evas.
Name: ebits
Version: 1.0.1
Release: fr%{?date:0%{?pre}.%{date}.}1
License: BSD
Group: System Environment/Libraries
Source: http://prdownloads.sourceforge.net/enlightenment/%{name}-%{version}%{?pre}.tar.gz
URL: http://www.enlightenment.org/pages/ebits.html
BuildRoot: %{_tmppath}/%{name}-root
Requires: evas
BuildRequires: evas-devel

%description
The Ebits library provides layout functionality for graphical elements like
window borders and is based on Evas. It defines the behavior of GUI elements
when they are resized, callbacks to call when elements are activated and more.
The GUI elements are stored in Edb databases.


%package devel
Summary: Header and development libraries for the Ebits layout library.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: evas-devel

%description devel
The Ebits library provides layout functionality for graphical elements like
window borders and is based on Evas. It defines the behavior of GUI elements
when they are resized, callbacks to call when elements are activated and more.
The GUI elements are stored in Edb databases.

Header and static libraries for Ebits.


%prep
%setup -q

%build
%configure

make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%makeinstall

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS README COPYING ChangeLog
%{_libdir}/*.so.*

%files devel
%defattr(-, root, root)
%{_bindir}/%{name}-config
%{_includedir}/*
%{_libdir}/*.a
%exclude %{_libdir}/*.la
%{_libdir}/*.so

%changelog
* Thu Apr 17 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Package today's CVS 1.0.1 snapshot.

